<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~libprep_protocol.js" 
	styles="path.css,~../css/reggie-2.css"
	>
<style>
#export div
{
	margin-left: 1em;
}
</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Lab protocols for library preparation" 
		/></p:path>

	<div class="content">

	<form name="reggie" action="libprep_protocol2.jsp" method="post" target="_blank" id="wizard" class="wizard">
	<input type="hidden" name="ID" value="<%=ID%>">
	<input type="hidden" name="view" value="list">
	<input type="hidden" name="poolSchema" value="4by24">
	<input type="hidden" name="barcodeVariant" value="">
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select Library bioplate</div>
		<div class="step-content">

			<table class="step-form">
			<tr>
				<td class="prompt">Library bioplate</td>
				<td class="input">
					<select name="bioplate" id="bioplate"></select>
				</td>
				<td class="status" id="bioplate.status"></td>
				<td class="help">
					<span id="bioplate.message" class="message"></span>
					Select an existing Library bioplate. The list contain all Library bioplates that
					has not yet been processed (determined by the absence of a 'creation' date).
				</td>
			</tr>
			<tbody class="info-section">
			<tr>
				<td class="prompt">Comments</td>
				<td class="info" id="comments"></td>
				<td class="status" id="comments.status"></td>
				<td class="help"></td>
			</tr>
			</tbody>
			<tr class="align-top">
				<td class="prompt">Lab protocols</td>
				<td class="input">
					<span id="listview" class="link" data-protocol-type="list"><img src="../images/listview.png">&nbsp;List layout</span><br>
					<span id="plateview" class="link" data-protocol-type="plate"><img src="../images/plateview.png">&nbsp;Plate layout</span><br>
				</td>
				<td class="status" id="protocol.status"></td>
				<td class="help">
					<span id="protocol.message" class="message"></span>
					The 'list layout' generates a table with one row for each well on the work plate.
					The 'plate layout' generates a grid with wells arranged according to row and column coordinates.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">Export files</td>
				<td class="input" id="export" style="white-space: nowrap; line-height: 1.5em;">
					<i>Qubit</i>
					<div id="exportQubit"></div>
					<i>Caliper - 96 wells</i>
					<div id="exportCaliper96"></div>
				</td>
				<td class="status" id="export.status"></td>
				<td class="help">
					<span id="protocol.message" class="message"></span>
					<p>
					Select what to export. Typically, you'll need the all of the
					<b>Caliper</b> files and either the Excel or tab-separated text version of the <b>Qubit</b>
					file.
					<p>
					Tip! You can run the exporters for any bioplate as a regular plug-in by selecting 
					a bioplate from the list at <a 
					href="<%=request.getContextPath()%>/biomaterials/bioplates/index.jsp?ID=<%=ID%>"
					>Biomaterial LIMS › Bioplates</a> and then use the <b>Export</b> button. 
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div id="wizard-status"></div>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>