<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.util.formatter.DateFormatter"
	import="net.sf.basedb.util.formatter.Formatter"
	import="net.sf.basedb.util.extensions.Extension"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="java.util.Arrays"
	import="java.util.Date"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
final Formatter dateFormat = new DateFormatter("yyyyMMdd");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final Extension reggie = ExtensionsControl.get(dc).getExtension("net.sf.basedb.reggie");
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~dna_normalization.js" 
	styles="path.css,~../css/reggie-2.css,~../css/normalize_extract.css"
	>
	
<style>
tr.highlight
{
	border-top-width: 1px;
	border-top-style: dotted;
}

#extractTable
{
	border-width: 0;
	font-size: 100%;
}

#extractTable td:first-child, #extractTable th:first-child
{
	border-left-width: 0;
}

#protocol-header
{
	display: none;
}
</style>

</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="DNA concentration normalization" 
		/></p:path>

	<div class="content">

	<div id="page-data" class="datacontainer"
		data-home-url="<%=home%>"
	></div>

	<form name="reggie" id="wizard" class="wizard">
	
	<!-- 1. DNA selection -->
	<div class="step auto-hide" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select DNA</div>
		<div class="step-content">

			<table class="step-form">
			<tr class="align-top">
				<td class="prompt">DNA extracts</td>
				<td class="input" rowspan="2">
					<select name="dna" id="dna" class="yellow-label-support" multiple size="15"></select>
					
					<base:buttongroup style="margin-top: 0.5em;">
						<base:button id="btnSelectDna" title="Select manually&hellip;" />
					</base:buttongroup>
				</td>
				<td class="status" id="dna.status"></td>
				<td class="help">
					<span id="dna.message" class="message"></span>
					The list contain DNA extracts that has been selected
					for pre-normalization. The list is sorted by Qiacube run and
					position.
					Use the <b>Select manually</b> button for free selection.<br>
					<base:icon image="<%=home+"/images/yellow-label.png"%>" /> = YellowLabel specimen
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title">Normalization protocol</div>
		<div class="step-content">

			<table class="step-form">
			<tr>
				<td class="prompt">Normalization protocol</td>
				<td class="input">
					<select name="normalizationProtocol" id="normalizationProtocol" class="required"></select>
				</td>
				<td class="status" id="normalizationProtocol.status"></td>
				<td class="help">
					<span id="normalizationProtocol.message" class="message"></span>
					Select the protocol that match the intended library preparation 
					protocol for the selected DNA items. DNA that
					doesn't have enough remaining quantity for the selected
					protocol are flagged with the <b>NotEnoughRemainingQuantity</b>
					annotation.
				</td>
			</tr>
			<tr>
				<td class="prompt">Normalized plate</td>
				<td class="input">
					<select name="normalizedPlate" id="normalizedPlate" class="required"></select>
				</td>
				<td class="status" id="normalizedPlate.status"></td>
				<td class="help">
					<span id="normalizedPlate.message" class="message"></span>
					Select an existing plate for DNA normalized aliquots or create a new one.
				</td>
			</tr>
			</table>
			
			<div id="full-protocol" class="topborder">
			
				<div id="protocol-header">
				<h1>Lab Protocol for DNA normalization <span class="reggie">Reggie <%=reggie.getAbout().getVersion() %></span></h1>
			
				<table class="protocolheader">
				<tbody id="qiacube-info" style="display: none;">
					<tr>
						<th>Qiacube date</th>
						<td id="qiacube-date"></td>
					</tr>
					<tr>
						<th>Qiacube run</th>
						<td id="qiacube-run"></td>
					</tr>
				</tbody>
				<tr>
					<th>Normalization protocol</th>
					<td id="normalization-protocol"></td>
				</tr>
				<tr>
					<th>Normalization date</th>
					<td></td>
				</tr>
				<tr>
					<th>Normalization operator</th>
					<td></td>
				</tr>
				<tr>
					<th>Normalized plate</th>
					<td id="normalized-plate-name"></td>
				</tr>
				</table>
				</div>
				
				<div id="dnaNormalize"></div>
						
			</div>

		</div>
	</div>
	
	<div class="step" id="step-3">
		<div class="step-no">3</div>
		<div class="step-title">Register normalization</div>
		<div class="step-content">

			<table class="step-form">
			<tr>
				<td class="prompt">Normalization date</td>
				<td class="input">
					<input type="text" name="normalizationDate" id="normalizationDate"
						value="<%=dateFormat.format(new Date()) %>" 
						class="required auto-init" data-auto-init="focus-on-enter" data-next-focus="normalizationOperator"
						style="width: 12em;" maxlength="10">
						<base:icon 
							id="normalizationDateCalendar"
							subclass="auto-init"
							data-auto-init="calendar"
							data-textarea-id="normalizationDate"
							data-date-format="yyyyMMdd"
							data-title="Normalization date"
							image="calendar.png" 
							tooltip="Select a date from a calendar" 
							tabindex="-1"
						/>
				</td>
				<td class="status" id="normalizationDate.status"></td>
				<td class="help">
					<span id="normalizationDate.message" class="message"></span>
					Date the DNA was normalized (YYYYMMDD or MMDD)
				</td>
			</tr>
			<tr>
				<td class="prompt">Operator</td>
				<td class="input">
					<input type="text" name="normalizationOperator" id="normalizationOperator"
						value="<%=HTML.encodeTags(user.getName()) %>" maxlength="255">
				</td>
				<td class="status" id="normalizationOperator.status"></td>
				<td class="help">
					<span id="normalizationOperator.message" class="message"></span>
				</td>
			</tr>
			</table>
			
		</div>
	</div>

	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goprint" title="Print&hellip;" image="<%=home+"/images/print.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>

	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>